# Uses of Interface
org.jfree.chart3d.axis.TickSelector

Packages that use TickSelector
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.

## Uses of TickSelector in org.jfree.chart3d.axis

Classes in org.jfree.chart3d.axis that implement TickSelector
Modifier and Type
Class
Description
`class`
`IntegerTickSelector`
A `TickSelector` implementation that selects tick units in multiples of 1, 2 and 5 and only displays integer values.
`class`
`NumberTickSelector`
A `TickSelector` implementation that selects tick units in multiples of 1, 2 and 5.
Methods in org.jfree.chart3d.axis that return TickSelector
Modifier and Type
Method
Description
`TickSelector`
LogAxis3D.`getTickSelector()`
Returns the tick selector for the axis.
`TickSelector`
NumberAxis3D.`getTickSelector()`
Returns the tick selector, an object that is responsible for choosing standard tick units for the axis.
Methods in org.jfree.chart3d.axis with parameters of type TickSelector
Modifier and Type
Method
Description
`void`
LogAxis3D.`setTickSelector(TickSelector selector)`
Sets the tick selector and sends an `Axis3DChangeEvent` to all registered listeners.
`void`
NumberAxis3D.`setTickSelector(TickSelector selector)`
Sets the tick selector and sends an `Axis3DChangeEvent` to all registered listeners.